Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class BreakType

    java.lang.Object
      org.apache.poi.xwpf.usermodel.BreakType

    public class BreakType

extends java.lang.Object

Specifies the possible types of break characters in a WordprocessingML document. The break type determines the next location where text shall be placed after this manual break is applied to the text contents

Author:
  Gisella Bronzetti

Field Summary
`static BreakType` | `COLUMN` Specifies that the current break shall restart itself on the next column available on the current page when the document is displayed in page view.
`static BreakType` | `PAGE` Specifies that the current break shall restart itself on the next page of the document when the document is displayed in page view.
`static BreakType` | `TEXT_WRAPPING` Specifies that the current break shall restart itself on the next line in the document when the document is displayed in page view.

Method Summary
`int` | `getValue()`
`static BreakType` | `valueOf(int type)`
`static BreakType[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE

    public static final BreakType PAGE

  Specifies that the current break shall restart itself on the next page of the document when the document is displayed in page view.

### COLUMN

    public static final BreakType COLUMN

  Specifies that the current break shall restart itself on the next column available on the current page when the document is displayed in page view.

  If the current section is not divided into columns, or the column break occurs in the last column on the current page when displayed, then the restart location for text shall be the next page in the document.

### TEXT_WRAPPING

    public static final BreakType TEXT_WRAPPING

  Specifies that the current break shall restart itself on the next line in the document when the document is displayed in page view. The determine of the next line shall be done subject to the value of the clear attribute on the specified break character.

Method Detail

### values

    public static BreakType[] values()

### getValue

    public int getValue()

### valueOf

    public static BreakType valueOf(int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD